Functions
Configuration functions
Peripheral Driver » LL Driver » WDT » Functions

## Functions
__STATIC_INLINE void | ll_wdt_enable_write_access (wdt_regs_t *WDTx)
| Enable write access to WDT_LOAD, WDT_CTRL and WDT_INTCLR registers. More...
__STATIC_INLINE void | ll_wdt_disable_write_access (wdt_regs_t *WDTx)
| Disable write access to WDT_LOAD, WDT_CTRL and WDT_INTCLR registers. More...
__STATIC_INLINE void | ll_wdt_enable (wdt_regs_t *WDTx)
| Enable watchdog counter and interrupt event. More...
__STATIC_INLINE void | ll_wdt_disable (wdt_regs_t *WDTx)
| Disable watchdog counter and interrupt event. More...
__STATIC_INLINE uint32_t | ll_wdt_is_enabled (wdt_regs_t *WDTx)
| Check if the WDT peripheral is enabled or disabled. More...
__STATIC_INLINE void | ll_wdt_enable_reset (wdt_regs_t *WDTx)
| Enable reset output. More...
__STATIC_INLINE void | ll_wdt_disable_reset (wdt_regs_t *WDTx)
| Disable reset output. More...
__STATIC_INLINE uint32_t | ll_wdt_is_enabled_reset (wdt_regs_t *WDTx)
| Check if the WDT reset is enabled or disabled. More...
__STATIC_INLINE void | ll_wdt_set_counter_load (wdt_regs_t *WDTx, uint32_t counter)
| Specify the WDT down-counter reload value. More...
__STATIC_INLINE uint32_t | ll_wdt_get_counter_load (wdt_regs_t *WDTx)
| Get the specified WDT down-counter reload value. More...
__STATIC_INLINE uint32_t | ll_wdt_get_counter_value (wdt_regs_t *WDTx)
| Get current value of the specified WDT decrementing down-counter. More...
__STATIC_INLINE void | ll_wdt_reload_counter (wdt_regs_t *WDTx)
| Reloads WDT counter with value defined in the reload register. More...

## Detailed Description

## Function Documentation

## ◆ ll_wdt_disable()

__STATIC_INLINE void ll_wdt_disable | ( | wdt_regs_t * | WDTx | ) |

Disable watchdog counter and interrupt event.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | CTRL | INTEN | +———————-+———————————–+ \endrst

Parameters

  WDTx | WDT instance.

Return values

  None |

Definition at line 194 of file gr55xx_ll_wdt.h.

## ◆ ll_wdt_disable_reset()

__STATIC_INLINE void ll_wdt_disable_reset | ( | wdt_regs_t * | WDTx | ) |

Disable reset output.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | CTRL | RSTEN | +———————-+———————————–+ \endrst

Parameters

  WDTx | WDT instance.

Return values

  None |

Definition at line 252 of file gr55xx_ll_wdt.h.

## ◆ ll_wdt_disable_write_access()

__STATIC_INLINE void ll_wdt_disable_write_access | ( | wdt_regs_t * | WDTx | ) |

Disable write access to WDT_LOAD, WDT_CTRL and WDT_INTCLR registers.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | LOCK | ENRW | +———————-+———————————–+ \endrst

Parameters

  WDTx | WDT instance

Return values

  None |

Definition at line 156 of file gr55xx_ll_wdt.h.

References LL_WDT_LOCK_WR_ACCESS_DISABLE.

## ◆ ll_wdt_enable()

__STATIC_INLINE void ll_wdt_enable | ( | wdt_regs_t * | WDTx | ) |

Enable watchdog counter and interrupt event.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | CTRL | INTEN | +———————-+———————————–+ \endrst

Parameters

  WDTx | WDT instance.

Return values

  None |

Definition at line 175 of file gr55xx_ll_wdt.h.

## ◆ ll_wdt_enable_reset()

__STATIC_INLINE void ll_wdt_enable_reset | ( | wdt_regs_t * | WDTx | ) |

Enable reset output.

Note
  RSTEN acts as a mask for the reset output.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | CTRL | RSTEN | +———————-+———————————–+ \endrst

Parameters

  WDTx | WDT instance.

Return values

  None |

Definition at line 233 of file gr55xx_ll_wdt.h.

## ◆ ll_wdt_enable_write_access()

__STATIC_INLINE void ll_wdt_enable_write_access | ( | wdt_regs_t * | WDTx | ) |

Enable write access to WDT_LOAD, WDT_CTRL and WDT_INTCLR registers.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | LOCK | ENRW | +———————-+———————————–+ \endrst

Parameters

  WDTx | WDT instance

Return values

  None |

Definition at line 137 of file gr55xx_ll_wdt.h.

References LL_WDT_LOCK_WR_ACCESS_ENABLE.

## ◆ ll_wdt_get_counter_load()

__STATIC_INLINE uint32_t ll_wdt_get_counter_load | ( | wdt_regs_t * | WDTx | ) |

Get the specified WDT down-counter reload value.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | LOAD | LOAD | +———————-+———————————–+ \endrst

Parameters

  WDTx | WDT instance

Return values

  Value | range between Min_Data=0 and Max_Data=0x0FFF

Definition at line 310 of file gr55xx_ll_wdt.h.

## ◆ ll_wdt_get_counter_value()

__STATIC_INLINE uint32_t ll_wdt_get_counter_value | ( | wdt_regs_t * | WDTx | ) |

Get current value of the specified WDT decrementing down-counter.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | VALUE | VALUE | +———————-+———————————–+ \endrst

Parameters

  WDTx | WDT instance

Return values

  Value | range between Min_Data=0 and Max_Data=0x0FFF

Definition at line 329 of file gr55xx_ll_wdt.h.

## ◆ ll_wdt_is_enabled()

__STATIC_INLINE uint32_t ll_wdt_is_enabled | ( | wdt_regs_t * | WDTx | ) |

Check if the WDT peripheral is enabled or disabled.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | CTRL | INTEN | +———————-+———————————–+ \endrst

Parameters

  WDTx | WDT instance.

Return values

  State | of bit (1 or 0).

Definition at line 213 of file gr55xx_ll_wdt.h.

## ◆ ll_wdt_is_enabled_reset()

__STATIC_INLINE uint32_t ll_wdt_is_enabled_reset | ( | wdt_regs_t * | WDTx | ) |

Check if the WDT reset is enabled or disabled.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | CTRL | RSTEN | +———————-+———————————–+ \endrst

Parameters

  WDTx | WDT instance.

Return values

  State | of bit (1 or 0).

Definition at line 271 of file gr55xx_ll_wdt.h.

## ◆ ll_wdt_reload_counter()

__STATIC_INLINE void ll_wdt_reload_counter | ( | wdt_regs_t * | WDTx | ) |

Reloads WDT counter with value defined in the reload register.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | INTCLR | INTCLR | +———————-+———————————–+ \endrst

Parameters

  WDTx | WDT instance

Return values

  None |

Definition at line 348 of file gr55xx_ll_wdt.h.

## ◆ ll_wdt_set_counter_load()

__STATIC_INLINE void ll_wdt_set_counter_load | ( | wdt_regs_t * | WDTx,
|  | uint32_t | counter
| ) |  |

Specify the WDT down-counter reload value.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | LOAD | LOAD | +———————-+———————————–+ \endrst

Parameters

  WDTx | WDT instance
  counter | Value range between Min_Data=0 and Max_Data=0xFFFFFFFF

Return values

  None |

Definition at line 291 of file gr55xx_ll_wdt.h.